
#ifndef _CLIENT_H_
#define _CLIENT_H_

#include <qobject.h>
#include <qstring.h>

class QSocket;

class Client : public QObject
{
	Q_OBJECT

public:
    Client( Q_UINT16 port, QObject * parent = 0, const char * name = 0 );
	~Client();

public slots:
	void sendToServer(QString text);
	void closeConnection();

signals:
	void connected();
	void notConnected();
	void serverIdentified();
	void connectionClosed();
	void receivedUnknownText(QString);

private slots:
	void socketReadyRead();
	void socketConnected();
	void socketConnectionClosed();
	void socketClosed();
	void socketError( int e );

private:
    QSocket *socket;
};

#endif
