
#include "global.h"
#include "constants.h"
#include <qsettings.h>
#include "keys.h"
#include "images.h"

QSettings * settings;
Keys * key_list;
Images * images;

void global_init() {
	qDebug("global_init");

	// settings
	#if QT_VERSION >= 0x040000
	settings = new QSettings(QSettings::IniFormat, QSettings::UserScope,
                             QString(COMPANY), QString(PROGRAM) );
	#else
	settings = new QSettings(QSettings::Ini);
	settings->beginGroup( "/" + QString(PROGRAM) +"/" );
	#endif

	// Keys
	key_list = new Keys();

	// Images
	images = new Images();
}

void global_end() {
	qDebug("global_end");

	// settings
	#if QT_VERSION < 0x040000
	settings->endGroup();
	#endif

	// delete
	delete images;
	delete key_list;
	delete settings;
}
