
#ifndef _SERVER_H_
#define _SERVER_H_

#include <qsocket.h>
#include <qserversocket.h>

/*
  The ClientSocket class provides a socket that is connected with a client.
  For every client that connects to the server, the server creates a new
  instance of this class.
*/

class ClientSocket : public QSocket
{
	Q_OBJECT

public:
	ClientSocket( int sock, QObject *parent=0, const char *name=0 );
	~ClientSocket();

	void sendText(QString text);

signals:
	void receivedOpen(QString);

private slots:
	void readClient();
};


/*
  The SimpleServer class handles new connections to the server. For every
  client that connects, it creates a new ClientSocket -- that instance is now
  responsible for the communication with that client.
*/
class Server : public QServerSocket
{
	Q_OBJECT

public:
	Server( Q_UINT16 port, QObject* parent=0 );
	~Server();

signals:
	void newConnect( ClientSocket* );
	void receivedOpen(QString);

protected:
	void newConnection( int socket );

protected slots:
	void gotOpenCommand(QString);
};

#endif
